package ru.ulstu.models;

import ru.ulstu.tsMethods.exponential.param.TimeSeriesMethodParamValue;

import java.util.List;

public class ModelingResult {
    private final TimeSeries timeSeries;
    private final List<TimeSeriesMethodParamValue> paramValues;
    private final Score score;

    public ModelingResult(TimeSeries timeSeries, List<TimeSeriesMethodParamValue> paramValues, Score score) {
        this.timeSeries = timeSeries;
        this.paramValues = paramValues;
        this.score = score;
    }

    public TimeSeries getTimeSeries() {
        return timeSeries;
    }

    public List<TimeSeriesMethodParamValue> getParamValues() {
        return paramValues;
    }

    public Score getScore() {
        return score;
    }
}
